#pragma once
#include "Entity.h"
#define CS_CUP_CREATENAME L"CS_cup"
class CS_Cup :
    public Entity
{
public:
    CS_Cup();
    void Step() override;
    void SetState(int stateID, int lr) override;
    void SetState(std::wstring stateName, int lr) override;
    int stateID = 0;
    float dstFloatY = 0;
};

std::shared_ptr<Entity> CreateCS_Cup();